Criteria
get
Path parameters
idinteger · int32Required
ruleIdinteger · int32Required
Responses
200
Success
application/json; api-version=1.0
PubItem Criteria
accessstring · enumOptionalPossible values:
Access type options
401
Unauthorized
application/json; api-version=1.0
404
Not Found
application/json; api-version=1.0
get/api/FileAccess/{id}/Rules/{ruleId}/Criteria
GET /api/FileAccess/{id}/Rules/{ruleId}/Criteria HTTP/1.1
Accept: */*
{
"securityPrincipals": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"members": [
{
"account": "text",
"type": [
"1 = User",
"2 = Group",
"3 = ForeignSecurityPrincipal",
"4 = Computer"
],
"sid": "text"
}
]
},
"gateways": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"members": [
{
"gatewayIP": "text"
}
]
},
"oSs": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"allowedOSes": {
"android": true,
"webClient": true,
"iOS": true,
"linux": true,
"mac": true,
"wyse": true,
"windows": true
}
},
"iPs": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"allowedIPs": {
"iPv4s": [
{
"from": "text",
"to": "text"
}
],
"iPv6s": [
{
"from": "text",
"to": "text"
}
]
}
},
"hardwareIDs": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"members": [
{
"hardwareID": "text"
}
]
},
"access": [
"0 = DenyCriteriaWhen",
"1 = AllowCriteriaWhen"
],
"devices": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"members": [
{
"client": "text"
}
]
},
"themes": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"ids": [
1
]
}
}put
Path parameters
idinteger · int32Required
ruleIdinteger · int32Required
Body
accessstring · enumOptionalPossible values:
Access type options
securityPrincipalsEnabledboolean · nullableOptional
Whether the Security Principals criteria is enabled or not
securityPrincipalsMatchingModestring · enumOptionalPossible values:
Matching mode type options
gatewaysEnabledboolean · nullableOptional
Whether the Gateways criteria is enabled or not
gatewaysMatchingModestring · enumOptionalPossible values:
Matching mode type options
themesEnabledboolean · nullableOptional
Whether the Themes criteria is enabled or not
themesMatchingModestring · enumOptionalPossible values:
Matching mode type options
devicePostureEnabledboolean · nullableOptional
Whether the Device Posture criteria is enabled or not
devicesEnabledboolean · nullableOptional
Whether the Devices criteria is enabled or not
devicesMatchingModestring · enumOptionalPossible values:
Matching mode type options
oSsEnabledboolean · nullableOptional
Whether the OSs criteria is enabled or not
oSsMatchingModestring · enumOptionalPossible values:
Matching mode type options
iPsEnabledboolean · nullableOptional
Whether the IPs criteria is enabled or not
iPsMatchingModestring · enumOptionalPossible values:
Matching mode type options
hardwareIDsEnabledboolean · nullableOptional
Whether the HardwareIDs criteria is enabled or not
hardwareIDsMatchingModestring · enumOptionalPossible values:
Matching mode type options
Responses
204
No Content
No content
401
Unauthorized
application/json; api-version=1.0
404
Not Found
application/json; api-version=1.0
put/api/FileAccess/{id}/Rules/{ruleId}/Criteria
PUT /api/FileAccess/{id}/Rules/{ruleId}/Criteria HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 808
{
"access": [
"0 = DenyCriteriaWhen",
"1 = AllowCriteriaWhen"
],
"securityPrincipalsEnabled": true,
"securityPrincipalsMatchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"gatewaysEnabled": true,
"gatewaysMatchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"themesEnabled": true,
"themesMatchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"devicePostureEnabled": true,
"devicesEnabled": true,
"devicesMatchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"oSsEnabled": true,
"oSsMatchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"iPsEnabled": true,
"iPsMatchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"hardwareIDsEnabled": true,
"hardwareIDsMatchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
]
}No content
Last updated